# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['metaDMG_viz', 'metaDMG_viz.mpl_styles']

package_data = \
{'': ['*']}

install_requires = \
['Pillow>=9.0.0,<10.0.0',
 'PyYAML>=6.0,<7.0',
 'dash-bootstrap-components>=1.0.2,<2.0.0',
 'dash>=2.1.0,<3.0.0',
 'diskcache>=5.4.0,<6.0.0',
 'matplotlib>=3.5.1,<4.0.0',
 'multiprocess>=0.70.12,<0.71.0',
 'orjson>=3.6.6,<4.0.0',
 'pandas>=1.4.0,<2.0.0',
 'plotly>=5.5.0,<6.0.0',
 'psutil>=5.9.0,<6.0.0',
 'pyarrow>=6.0.1,<7.0.0',
 'scipy>=1.7.3,<2.0.0']

setup_kwargs = {
    'name': 'metadmg-viz',
    'version': '0.8.0',
    'description': 'metaDMG-viz',
    'long_description': '# metaDMG-viz\n\n---\n\n#### Work in progress. Please contact christianmichelsen@gmail.com for further information.\n\n---\n',
    'author': 'Christian Michelsen',
    'author_email': 'christianmichelsen@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/metaDMG/metaDMG-viz',
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8,<3.11',
}


setup(**setup_kwargs)
